
def random_dilation(image, structure):
    """
    Apply a random dilation to an image using a given structure.

    Parameters:
    image : numpy.ndarray
        Input image to be dilated.
    structure : numpy.ndarray
        Structure (kernel) used for dilation.

    Returns:
    numpy.ndarray
        Dilated image.
    """
    from skimage import filters, morphology
    import numpy as np
    import random

    # Randomly decide the number of times to dilate
    num_dilations = random.randint(1, 5)

    dilated_image = image
    for _ in range(num_dilations):
        dilated_image = filters.random_dilation(dilated_image, structure)

    return dilated_image



